require('dotenv').config();

const { getUsers } = require('./app/db/mysql/lsaUsers');
const { RedisClient } = require('./app/db/redis/redis');

async function f() {
  const users = await getUsers();
  const redis = new RedisClient(process.env.REDIS_HOST);

  await redis.connect()
  await redis.set('users', JSON.stringify(users))
  await redis.disconnect();
}

// f();

require('./app/tasks/sync')();